
Redmine - Defect #36384

Error on roadmap creation after migrating to 4.2.3

2022-01-04 20:19 - Jonathan Cormier

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.2.3

Description

I recently migrated our redmine version from 3.3.x to 4.2.3 about 2 months ago.  Today it was noticed that we are no longer able to

create new versions for the roadmap.  I removed all plugins to make sure it wasn't plugin-related.

I get the error "Status is not included in the list" when I hit the Create button.  However, there is no Status field to fill in.
Environment:

  Redmine version                4.2.3.stable

  Ruby version                   2.6.6-p146 (2020-03-31) [x86_64-linux-gnu]

  Rails version                  5.2.6

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.13.0

  Mercurial                      5.3.1

  Cvs                            1.12.13

  Bazaar                         3.0.2

  Git                            2.33.1

  Filesystem                     

Redmine plugins:

  no plugin installed

 The logs don't print any error messages when this happens.

==> ../redmine-logs/redmine/production.log <==

Started POST "/redmine/projects/rm_testing/versions" for 127.0.0.1 at 2022-01-04 19:16:49 +0000

Processing by VersionsController#create as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"", "back_url"=>"/redmine/projects/rm_testing/ro

admap", "version"=>{"name"=>"Version 1", "description"=>"Test", "wiki_page_title"=>"", "effective_

date"=>"", "sharing"=>"none", "default_project_version"=>"0", "custom_field_values"=>{"7"=>"In Pro

gress"}}, "commit"=>"Create", "project_id"=>"rm_testing"}

  Current user: jcormier (id=360)

  Rendering versions/new.html.erb within layouts/base

  Rendered versions/_form.html.erb (17.6ms)

  Rendered versions/new.html.erb within layouts/base (18.9ms)

Completed 200 OK in 169ms (Views: 82.7ms | ActiveRecord: 68.0ms)

==> ../redmine-logs/nginx/redmine_access.log <==

10.1.8.4 - - [04/Jan/2022:19:16:49 +0000] "POST /redmine/projects/rm_testing/versions HTTP/1.1" 20

0 9445 "http://10.0.0.23:10083/redmine/projects/rm_testing/versions" "Mozilla/5.0 (Windows NT 10.0

; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36" 

Related issues:

Is duplicate of Redmine - Defect #27319: Impossible to create a new version Needs feedback

History

#1 - 2022-01-04 20:26 - Jonathan Cormier

Note this doesn't fail on a blank/fresh install of 4.2.3 so must be an issue with the migration?
#2 - 2022-01-04 20:52 - Marius BĂLTEANU

- Status changed from New to Needs feedback

I think is the same problem reported in #27319, can you take a look on your table definition?

#3 - 2022-01-04 21:43 - Jonathan Cormier

Yes that looks like the same issue. I can post on that redmine instead.

#4 - 2022-01-04 23:21 - Jonathan Cormier

Could you mark this as a duplicate and close it?

#5 - 2022-01-05 03:13 - Marius BĂLTEANU

- Is duplicate of Defect #27319: Impossible to create a new version added

#6 - 2022-01-05 03:13 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Jonathan Cormier wrote:

Could you mark this as a duplicate and close it?

 Done, thanks for your feedback.
